"""naming convention

Revision ID: a2fc87e5e5b0
Revises: 57a48ed3b103
Create Date: 2022-01-26 09:55:18.722350+01:00

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "a2fc87e5e5b0"
down_revision = "57a48ed3b103"
branch_labels = None
depends_on = None


def upgrade():
    """Upgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "documents",
        "originalName",
        new_column_name="original_name",
    )
    op.alter_column(
        "formStorage",
        "formId",
        new_column_name="form_id",
    )
    op.alter_column(
        "formStorage",
        "storageDate",
        new_column_name="storage_date",
    )
    # ### end Alembic commands ###


def downgrade():
    """Downgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "formStorage",
        sa.Column("formId", sa.VARCHAR(), autoincrement=False, nullable=True),
    )
    op.add_column(
        "formStorage",
        sa.Column(
            "storageDate",
            postgresql.TIMESTAMP(),
            autoincrement=False,
            nullable=True,
        ),
    )
    op.drop_column("formStorage", "storage_date")
    op.drop_column("formStorage", "form_id")
    op.add_column(
        "documents",
        sa.Column("originalName", sa.VARCHAR(), autoincrement=False, nullable=True),
    )
    op.drop_column("documents", "original_name")
    # ### end Alembic commands ###
